Subject: Battery
From: Kay price <[email-masked]>
To: Jim Kirchstein <[email-masked]>
Date: Fri, 30 Nov 2012 23:15:23 -0600

When you said you had charged the battery I wondered about it. I read in the book that you should never do that with a regular battery charger and it is done a different way. it also said that you should never pull the car but instead move it on a flatbed. I am sorry you had to replace the battery. What did it cost? Bummer. 

I had Midway station come and charge my battery in my garage once. They knew they had to use a different technique. 

I am going to east side Barnes tomorrow for a book signing from 1-3. It should be fun. But I am missing the great music at the Hyde chapel Xmas party where I wish we were filming and eating Xmas cookies.
Kay